For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all credit types
      • POSTCreate a credit type
      • GETGet a credit type
      • PATCHUpdate a credit type
      • POSTActivate a credit type
      • POSTDeactivate a credit type
      • POSTDeprecate a credit type
      • POSTArchive a credit type
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APICredit Types

Create a credit type

POST
/v:version/credit-types
POST
/v:version/credit-types
$curl -X POST https://test.api.solvimon.com/v1/credit-types \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "object_type": "string",
3 "id": "string",
4 "reference": "string",
5 "status": "DRAFT",
6 "name": "string",
7 "description": "string",
8 "unit_name": {
9 "singular": "string",
10 "plural": "string"
11 },
12 "created_at": "string",
13 "updated_at": "string"
14}

Requires the CREDIT_TYPE.CREATE permission.

Was this page helpful?
Previous

Get a credit type

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringOptionalformat: "^\S+$"0-256 characters
statusenum or nullOptional
Allowed values:
namestringOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
unit_nameobjectOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
statusenum or null
Allowed values:
namestringformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
unit_nameobject
created_atstring or nullRead-only
updated_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error